@import "_reset.css";

@font-face {
    font-family: 'sabonbold';
    src: url('sabon_bold-webfont.woff2') format('woff2'),
         url('sabon_bold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

h1 {
    padding-left: 50px;
    min-width: 300px;
    color: lightgrey;
    font-family: sans-serif;
    font-weight: 100;
    font-size: 20px;
    width: 20%;
}

h1:hover {
    color: black;
}

.title01:hover {
    color: black;
}

a {
    text-decoration: none;
}

.title01 {
    padding-left: 50px;
    background-color: whitesmoke;
    min-width: 300px;
    color: lightgrey;
    font-family: sans-serif;
    font-weight: 100;
    font-size: 20px;
    width: 20%;
    text-decoration: none;
}

.title02 {
    background-color: whitesmoke;
    color: lightgrey;
    font-family: sans-serif;
    font-weight: 100;
    font-size: 20px;
    text-decoration: none;
    display: inline-block;
    position: absolute;
    z-index: 3000;
    right: 0;
    margin-right: 60px;
}

.title02:hover {
    color: black;
}

body {
    padding-left: 5px;
    padding-top: 30px;
    background-color: whitesmoke;
    font-size: 50px,
}

header {
    display: flex;
}

.a:hover {
    color: blue;   
}

link-color{
    color: red;
}


//*nav a {
    color: white;
    font-family: sans-serif;
    font-size: 12px;
    font-weight: 700;
    text-decoration: none;
    background-color: lightgray;
    padding: 7px 20px;
    border-radius: 30px;
    margin: 0 40px 10px 0;
    display: inline-block;
    z-index: 1000;
    position: absolute;
    right: 0;
}*//

//*nav a:hover {
    background-color: black;*//
}

.beschrieb {
    font-size: 3vw;
}

textPath a{
    display: inline-block;
    position: absolute;
    height: 600px;
    font-size: 16px;
    transition: font-size 0.5s ease;
}

textPath a:hover {
    font-size: 30px;
}

.textuebermich {
    font-family: serif;
    font-weight: 400;
    color: black;
    display: inline-block;
    position: absolute;
    font-size: 60px;
    height: 85vh;
    top: 15vh;
    max-width: 1000px;
    padding-right: 60px;
    padding-left: 50px;
    margin-bottom: 20px;
    z-index: -2;
}

footer {
    padding-left: 50px;
    padding-top: 80px;
}

//*.footer01 {
    color: white;
    font-family: sans-serif;
    font-size: 10px;
    font-weight: 700;
    text-decoration: none;
    background-color: lightgray;
    padding: 7px 10px;
    border-radius: 30px;
    margin: 0 10px 10px 0;
    display: inline-block;
}*//

.mail {
    color: white;
    font-family: sans-serif;
    font-size: 12px;
    font-weight: 700;
    text-decoration: none;
    background-color: lightgray;
    padding: 7px 20px;
    border-radius: 30px;
    display: inline-block;
    bottom: 40px;
    right: 40px;
    position: absolute;
    z-index: 2000;
}

.mail:hover {
    background-color: black;
}

//*.swiper-container {
    width: 100%;
    height: 900px;
}

/*--- CIRCLE ANIMATIONS ---*/
.circle-outer {
    width: 100%;
    height: 100%;
    font-size: 40px;
}

.circle01, .circle02 {
    animation: rotate 30s linear infinite;*//
    font-size: 80px;
    width: 110vh;
    position: fixed;
    margin-left: 20vw;
    margin-top: 3vw;
}

.circle02 {
    animation: minus-rotate 25s linear infinite;*//
}

.kreis1 {
    transform: rotate(90deg);
    animation: minus-rotate 20s linear infinite;
    font-size: 40px;
    z-index: -1;
}

.kreis2 {
    animation: minus-rotate 30s linear infinite;
    font-size: 40px;
    z-index: -1;
    width: 100%;
    z-index: 3000;
}

.circle03 {
    animation: rotate 30s linear infinite;
    font-size: 24px;
    width: 80%;
    position: absolute;
    display: inline-block;
}

.circle04 {
    display: none;
    animation: rotate 40s linear infinite;*//
    font-size: 80px;
    width: 100vh;
    position: fixed;
    margin-left: 20vw;
    margin-top: 4vw;
}

@keyframes rotate {
    0% {transform: rotate(0deg);}
    100% {transform: rotate(359deg);}
}

@keyframes minus-rotate {
    0% {transform: rotate(359deg);}
    100% {transform: rotate(0deg);}
}

/*.swiper-slide {
    margin-left: auto;
    margin-right: auto;
    display: block;
    padding: auto;
    position: relative;
    align-content: center;*/
}

.swiper-button-next {
    color: black;
}

.swiper-button-prev {
    color: black;
}

main.project{
    height: 100%;
}

.page-project html {
    height: 100%;
}

.page-project body {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.page-project main {
    flex: 1;
    min-height: 1%;
}

/*SWIPERJS IN PROJECT*/

.swiper-container{
    height: 85vh;
    width: 100%;
    cursor: ew-resize;
    position: fixed;
    top: 10vh;
    left: 0;
}

.swiper-wrapper {
    height: 100%;
}

.swiper-slide{
    height: 100%;
    display: flex;
/*    margin: 200 200;*/
    align-content: center;
/*    padding-top: 5px;*/
    font-family: "Bembo";
}

.swiper-button-next {
    position: fixed;
    height: 100%;
    top: 0;
    right: 0;
    width: 50%;
    cursor: e-resize;
    z-index: 900;
}

.swiper-button-next:after {
    display: none;
}

/*Defines size of image that should be displayed*/
.swiper-slide-inner-businesscards{
    margin: auto;
    width: 20vw;
}

.swiper-slide img {
    object-fit: contain;
    width: auto;
    height: 100%;
}


@media (max-width: 800px) {
    
    .title01 {
    padding-left: 40px;
    top: 0;
    color: black;   
}
    
    nav a {
    top: 30px;    
}

    
    .textuebermich {
    font-size: 16px;
    height: 85vh;
    top: 25vh;
    left: 0;
}
    .kreis2 {
    display: none;    
}
    
    //*Index Seite*//
    
  textPath a{
    display: block;
    font-size: 80px;
} 
    .swiper-container{
    height: 55vh;
    width: 100%;
    cursor: ew-resize;
    position: fixed;
    top: 30vh;
    left: 0;
}
    
    .mail {
    display: none;
}
    .circle01, .circle02 {
    animation: rotate 30s linear infinite;*//
    font-size: 80px;
    width: 140vh;
    position: fixed;
    margin-left: -80px;
    margin-top: -30px;
}

    .circle02 {
    animation: minus-rotate 25s linear infinite;
}
    
    .kreis1 {
    transform: rotate(180deg);    
    animation: rotate 30s linear infinite;
    font-size: 80px;
    width: 160vh;
    position: fixed;
    margin-left: -60px;
    margin-top: 5vw;
}

    
}